/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../../styles/plateg-variables.less';
.table-menu {
  padding: 0 !important;

  .ant-dropdown-menu-title-content {
    margin: 3px;
    .ant-btn {
      width: 100%;
      text-align: start;
      color: @platform-text-color;
      &:hover,
      &:focus,
      &:active {
        background-color: unset;
        color: unset !important;
      }
      &:focus {
        outline-style: dotted;
        outline-color: #000;
        outline-width: 1px;
        outline-offset: 2px;
      }
      &[aria-disabled='true'] {
        border-color: transparent !important;
        color: @text-disabled-blue-4-bg;
        cursor: not-allowed;
        &:focus {
          outline-style: dotted;
          outline-color: #000;
          outline-width: 1px;
          outline-offset: 2px;
        }
      }
      &[id*='headerRightAlternative'] {
        text-align: right;
      }
    }
  }
}
.table-menu-button {
  &.ant-btn {
    &:hover,
    &:focus,
    &:active,
    &:focus-visible,
    &:focus-within {
      background-color: unset !important;

      svg g > * {
        fill: #fff !important;
      }
      svg rect {
        fill: #000 !important;
      }
    }
    &:hover:not(:disabled) {
      svg rect {
        fill: #000;
      }
      svg g > * {
        fill: #fff;
      }
    }
  }
}

.ant-dropdown-menu-submenu-popup {
  ul {
    margin: -10px !important;
  }
  border: none !important;
  z-index: 1064;
  .ant-btn.ant-btn-text:hover,
  .ant-btn.ant-btn-link:hover,
  .ant-btn.ant-btn-text:focus,
  .ant-btn.ant-btn-link:focus {
    background-color: initial !important;
    color: black !important;
    font-weight: 500 !important;
    text-decoration: underline !important;
  }
}
.ant-dropdown-menu-item:focus-visible {
  outline: 0 !important;
}
.ant-dropdown-menu-item-active,
.ant-dropdown-menu-submenu-active {
  background-color: #e5eafb !important;
  .ant-dropdown-menu-title-content {
    button {
      outline-style: dotted;
      outline-color: #000;
      outline-width: 1px;
      outline-offset: 2px;
    }
  }
  span {
    font-weight: 500;
    text-decoration: underline;
  }
  & > .ant-dropdown-menu-submenu-title {
    background-color: #e5eafb !important;
  }
  &:focus,
  &:hover {
    background-color: #e5eafb !important;

    & > .ant-dropdown-menu-submenu-title {
      background-color: #e5eafb !important;
    }
  }
}

.btn-disabled,
.btn-disabled:hover,
.btn-disabled:focus {
  cursor: not-allowed !important;
  border-color: transparent !important;
  color: @text-disabled-color !important;
}
.ant-dropdown-menu-submenu-arrow {
  position: absolute;
  top: 50%;
  inset-inline-end: 1.6rem;
  width: 1.28571rem;
  color: @links-color;
  transform: translateY(-50%);
  transition:
    transform 0.3s cubic-bezier(0.645, 0.045, 0.355, 1),
    opacity 0.3s;
  &:before,
  &:after {
    position: absolute;
    width: 0.77143rem;
    height: 0.19286rem;
    background-color: currentcolor;
    border-radius: 0.3rem;
    transition:
      background 0.3s cubic-bezier(0.645, 0.045, 0.355, 1),
      transform 0.3s cubic-bezier(0.645, 0.045, 0.355, 1),
      top 0.3s cubic-bezier(0.645, 0.045, 0.355, 1),
      color 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);
    content: '';
  }

  &:after {
    transform: rotate(-45deg) translateY(0.32143rem);
  }

  &:before {
    transform: rotate(45deg) translateY(-0.32143rem);
  }

  & > span {
    display: none;
  }
}
